easy_admin:
    entities:
#            Entity mapping
#            - id
#            - title
#            - subTitle
#            - description
#            - content
#            - display
#            - displayHome
#            - createdAt
#            - updatedAt
#            - createdBy
#            - updatedBY
#            - type
#            - image
#            - imageFile
#            - seo
        Success:
            controller: App\Controller\Admin\SuccessAdminController
            class: App\Entity\Articles
            form:
                role: ROLE_WRITER
                fields:
                    -
                      type: 'group'
                      css_class: 'col-sm-12'
                      label: 'tab.articles.text'
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'subTitle'
                      label: 'label.subTitle'
                    -
                      property: 'description'
                      label: 'label.description'
                    -
                      property: 'content'
                      label : 'label.content'
                      type: 'FOS\CKEditorBundle\Form\Type\CKEditorType'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.seo'
                    -
                      property: 'seo'
                      label: 'label.seo'
                      type: 'App\Form\SeoType'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.articles.image'
                    -
                      property: 'imageFile'
                      label: 'label.image.articles'
                      base_path: '/uploads/articles'
                      template: 'vich_uploader_image.html.twig'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.articles.display'
                    -
                      property: 'display'
                      label: 'label.display'
                    -
                      property: 'displayHome'
                      label: 'label.displayHome'

                    -
                      type: 'group'
                      css_class: 'col-sm-12'
                      label: 'tab.articles.comment'
                    -
                      property: 'comments'
                      label: 'label.comments'
                      type: 'App\Form\CommentsType'

                    -
                      type: 'group'
                      css_class: 'col-sm-12'
                      label: 'tab.about.headers'
                    -
                      property: 'headers'
                      label: 'label.headers'
                      type: 'App\Form\HeadersType'

            list:
                role: ROLE_VISITOR
                dql_filter: "entity.type=1 AND entity.isDeleted = false"
                fields:
                    - id
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'subTitle'
                      label: 'label.subTitle'
                    -
                      property: 'display'
                      label: 'label.display'
                      type: 'toggle'
                    -
                      property: 'displayHome'
                      label: 'label.displayHome'
                      type: 'toggle'
                    -
                      property: 'image'
                      label: 'label.image.label'
                      type: 'image'
                      base_path: '/uploads/articles'

            show:
                role: ROLE_VISITOR
                fields:
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'subTitle'
                      label: 'label.subTitle'
                    -
                      property: 'description'
                      label: 'label.description'
                    -
                      property: 'content'
                      label: 'label.content'
                      template: 'content_field_type.html.twig'


                    -
                      property: 'seo'
                      label: 'label.seo'
                      template: 'seo_field_type.html.twig'


                    -
                      property: 'comments'
                      label: 'label.comments'
                      template: 'comments_field_type.html.twig'

                    -
                      property: 'image'
                      label: 'label.image.articles'
                      type: 'image'
                      base_path: '/uploads/articles'


                    -
                      property: 'display'
                      label: 'label.display'
                    -
                      property: 'displayHome'
                      label: 'label.displayHome'


                    -
                      property: 'createdAt'
                      label: 'label.createdAt'
                    -
                      property: 'updatedAt'
                      label: 'label.updatedAt'
                    -
                      property: 'createdBy'
                      label: 'label.createdBy'
                    -
                      property: 'updatedBy'
                      label: 'label.updatedBy'

            new:
                role: ROLE_WRITER
                fields:
                    - property: 'imageFile'
                      type: 'vich_image'
                      type_options:
                        required: true
            edit:
                role: ROLE_WRITER
                fields:
                    - property: 'imageFile'
                      type: 'vich_image'
                      type_options:
                        required: false

            delete:
                role: ROLE_ADMIN

        Trainings:
            controller: App\Controller\Admin\TrainingsAdminController
            class: App\Entity\Articles
            form:
                role: ROLE_WRITER
                fields:
                    -
                      type: 'group'
                      css_class: 'col-sm-12'
                      label: 'tab.articles.text'
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'subTitle'
                      label: 'label.subTitle'
                    -
                      property: 'description'
                      label: 'label.description'
                    -
                      property: 'content'
                      label : 'label.content'
                      type: 'FOS\CKEditorBundle\Form\Type\CKEditorType'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.seo'
                    -
                      property: 'seo'
                      label: 'label.seo'
                      type: 'App\Form\SeoType'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.articles.image'
                    -
                      property: 'imageFile'
                      label: 'label.image.articles'
                      base_path: '/uploads/articles'
                      template: 'vich_uploader_image.html.twig'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.articles.display'
                    -
                      property: 'display'
                      label: 'label.display'
                    -
                      property: 'displayHome'
                      label: 'label.displayHome'

                    -
                      type: 'group'
                      css_class: 'col-sm-12'
                      label: 'tab.about.headers'
                    -
                      property: 'headers'
                      label: 'label.headers'
                      type: 'App\Form\HeadersType'

            list:
                role: ROLE_VISITOR
                dql_filter: "entity.type = 2 AND entity.isDeleted = false"
                fields:
                    - id
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'subTitle'
                      label: 'label.subTitle'
                    -
                      property: 'display'
                      label: 'label.display'
                      type: 'toggle'
                    -
                      property: 'displayHome'
                      label: 'label.displayHome'
                      type: 'toggle'
                    -
                      property: 'image'
                      label: 'label.image.label'
                      type: 'image'
                      base_path: '/uploads/articles'

            show:
                role: ROLE_VISITOR
                fields:
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'subTitle'
                      label: 'label.subTitle'
                    -
                      property: 'description'
                      label: 'label.description'
                    -
                      property: 'content'
                      label: 'label.content'
                      template: 'content_field_type.html.twig'


                    -
                      property: 'seo'
                      label: 'label.seo'
                      template: 'seo_field_type.html.twig'


                    -
                      property: 'image'
                      label: 'label.image.label'
                      type: 'image'
                      base_path: '/uploads/articles'


                    -
                      property: 'display'
                      label: 'label.display'
                    -
                      property: 'displayHome'
                      label: 'label.displayHome'


                    -
                      property: 'createdAt'
                      label: 'label.createdAt'
                    -
                      property: 'updatedAt'
                      label: 'label.updatedAt'
                    -
                      property: 'createdBy'
                      label: 'label.createdBy'
                    -
                      property: 'updatedBy'
                      label: 'label.updatedBy'

            new:
                role: ROLE_WRITER
                fields:
                    - property: 'imageFile'
                      type: 'vich_image'
                      type_options:
                        required: true
            edit:
                role: ROLE_WRITER
                fields:
                    - property: 'imageFile'
                      type: 'vich_image'
                      type_options:
                        required: false

            delete:
                role: ROLE_ADMIN

        Performances:
            controller: App\Controller\Admin\PerformancesAdminController
            class: App\Entity\Articles
            form:
                role: ROLE_WRITER
                fields:
                    -
                      type: 'group'
                      css_class: 'col-sm-12'
                      label: 'tab.articles.text'
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'subTitle'
                      label: 'label.subTitle'
                    -
                      property: 'description'
                      label: 'label.description'
                    -
                      property: 'content'
                      label : 'label.content'
                      type: 'FOS\CKEditorBundle\Form\Type\CKEditorType'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.seo'
                    -
                      property: 'seo'
                      label: 'seo'
                      type: 'App\Form\SeoType'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.articles.image'
                    -
                      property: 'imageFile'
                      label: 'label.image.articles'
                      base_path: '/uploads/articles'
                      template: 'vich_uploader_image.html.twig'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.articles.display'
                    -
                      property: 'display'
                      label: 'label.display'
                    -
                      property: 'displayHome'
                      label: 'label.displayHome'

                    -
                      type: 'group'
                      css_class: 'col-sm-12'
                      label: 'tab.about.headers'
                    -
                      property: 'headers'
                      label: 'label.headers'
                      type: 'App\Form\HeadersType'

            list:
                role: ROLE_VISITOR
                dql_filter: "entity.type = 3 AND entity.isDeleted = false"
                fields:
                    - id
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'subTitle'
                      label: 'label.subTitle'
                    -
                      property: 'display'
                      label: 'label.display'
                      type: 'toggle'
                    -
                      property: 'displayHome'
                      label: 'label.displayHome'
                      type: 'toggle'
                    -
                      property: 'image'
                      label: 'label.image.label'
                      type: 'image'
                      base_path: '/uploads/articles'

            show:
                role: ROLE_VISITOR
                fields:
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'subTitle'
                      label: 'label.subTitle'
                    -
                      property: 'description'
                      label: 'label.description'
                    -
                      property: 'content'
                      label: 'label.content'
                      template: 'content_field_type.html.twig'


                    -
                      property: 'seo'
                      label: 'label.seo'
                      template: 'seo_field_type.html.twig'


                    -
                      property: 'image'
                      label: 'label.image.label'
                      type: 'image'
                      base_path: '/uploads/articles'


                    -
                      property: 'display'
                      label: 'label.display'
                    -
                      property: 'displayHome'
                      label: 'label.displayHome'


                    -
                      property: 'createdAt'
                      label: 'label.createdAt'
                    -
                      property: 'updatedAt'
                      label: 'label.updatedAt'
                    -
                      property: 'createdBy'
                      label: 'label.createdBy'
                    -
                      property: 'updatedBy'
                      label: 'label.updatedBy'


            new:
                role: ROLE_WRITER
                fields:
                    - property: 'imageFile'
                      type: 'vich_image'
                      type_options:
                        required: true
            edit:
                role: ROLE_WRITER
                fields:
                    - property: 'imageFile'
                      type: 'vich_image'
                      type_options:
                        required: false

            delete:
                role: ROLE_ADMIN

        Articles:
            class: App\Entity\Articles
            form:
                role: ROLE_WRITER
                fields:
                    -
                      type: 'group'
                      css_class: 'col-sm-12'
                      label: 'tab.articles.text'
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'subTitle'
                      label: 'label.subTitle'
                    -
                      property: 'description'
                      label: 'label.description'
                    -
                      property: 'content'
                      label : 'label.content'
                      type: 'FOS\CKEditorBundle\Form\Type\CKEditorType'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.seo'
                    -
                      property: 'seo'
                      label: 'label.seo'
                      type: 'App\Form\SeoType'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.articles.image'
                    -
                      property: 'imageFile'
                      label: 'label.image.articles'
                      base_path: '/uploads/articles'
                      template: 'vich_uploader_image.html.twig'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.articles.display'
                    -
                      property: 'display'
                      label: 'label.display'
                    -
                      property: 'displayHome'
                      label: 'label.displayHome'

                    -
                      type: 'group'
                      css_class: 'col-sm-12'
                      label: 'tab.about.headers'
                    -
                      property: 'headers'
                      label: 'label.headers'
                      type: 'App\Form\HeadersType'

            show:
                role: ROLE_VISITOR
                fields:
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'subTitle'
                      label: 'label.subTitle'
                    -
                      property: 'description'
                      label: 'label.description'
                    -
                      property: 'content'
                      label: 'label.content'

                    -
                      property: 'seo'
                      label: 'label.seo'

                    -
                      property: 'image'
                      label: 'label.image.articles'
                      type: 'image'
                      base_path: '/uploads/articles'

                    -
                      property: 'display'
                      label: 'label.display'
                    -
                      property: 'displayHome'
                      label: 'label.displayHome'

                    -
                      property: 'createdAt'
                      label: 'label.createdAt'
                    -
                      property: 'updatedAt'
                      label: 'label.updatedAt'
                    -
                      property: 'createdBy'
                      label: 'label.createdBy'
                    -
                      property: 'updatedBy'
                      label: 'label.updatedBy'

            new:
                role: ROLE_WRITER
                fields:
                    - property: 'imageFile'
                      type: 'vich_image'
                      type_options:
                        required: true
            edit:
                role: ROLE_WRITER
                fields:
                    - property: 'imageFile'
                      type: 'vich_image'
                      type_options:
                        required: false

            delete:
                role: ROLE_ADMIN
